package org.postgresforest.tool.lib;

import java.sql.Timestamp;

public class BrokenLog {
	private int serverid;
	private Timestamp ts;
	private String client;
	private String msg;
	private String state;
	private String query;

	public BrokenLog(int serverid, Timestamp ts, String client, String msg,
					 String state, String query)
	{
		this.serverid = serverid;
		this.ts       = ts;
		this.client   = client;
		this.msg      = msg;
		this.state    = state;
		this.query    = query;
	}

	public int getServerId()
	{
		return serverid;
	}

	public Timestamp getTimestamp()
	{
		return ts;
	}

	public String getClient()
	{
		return client;
	}

	public String getMessage()
	{
		return msg;
	}

	public String getState()
	{
		return state;
	}

	public String getQuery()
	{
		return query;
	}
}
